Bug 1463207 (CVE-2017-7679) - CVE-2017-7679 httpd: mod_mime buffer overread
Summary: CVE-2017-7679 httpd: mod_mime buffer overread
Status: NEW
Alias: CVE-2017-7679
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: Anna Khaitovich
URL:
Whiteboard: impact=moderate,public=20170620,repor...
Keywords: Security
Depends On: 1463208 1464878 1464879 1465916 1473691 1473692 1473693 1473696 1473697 1510060 1510061 1510062
Blocks: 1463212 1464082 1524240
TreeView+ depends on / blocked
 
Reported: 2017-06-20 11:32 UTC by Andrej Nemec
Modified: 2019-02-18 08:39 UTC (History)
48 users (show)

Fixed In Version: httpd 2.2.34, httpd 2.4.26
Doc Type: If docs needed, set a value
Doc Text:
A buffer over-read flaw was found in the httpd's mod_mime module. A user permitted to modify httpd's MIME configuration could use this flaw to cause httpd child process to crash.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2478 normal SHIPPED_LIVE Important: httpd security update 2017-08-15 22:11:45 UTC
Red Hat Product Errata RHSA-2017:2479 normal SHIPPED_LIVE Important: httpd security update 2017-08-15 22:23:44 UTC
Red Hat Product Errata RHSA-2017:2483 normal SHIPPED_LIVE Important: httpd24-httpd security update 2017-08-17 03:04:17 UTC
Red Hat Product Errata RHSA-2017:3193 normal SHIPPED_LIVE Important: httpd security update 2017-11-13 22:35:40 UTC
Red Hat Product Errata RHSA-2017:3194 normal SHIPPED_LIVE Important: httpd security update 2017-11-13 22:36:28 UTC
Red Hat Product Errata RHSA-2017:3195 normal SHIPPED_LIVE Important: httpd security update 2017-11-13 22:35:58 UTC
Red Hat Product Errata RHSA-2017:3475 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.23 security update 2017-12-16 03:23:06 UTC
Red Hat Product Errata RHSA-2017:3476 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.23 security update 2017-12-16 03:34:21 UTC
Red Hat Product Errata RHSA-2017:3477 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.23 security update 2017-12-16 03:34:40 UTC

Description Andrej Nemec 2017-06-20 11:32:50 UTC
It was found in httpd that mod_mime can read one byte past the end of a buffer when sending a malicious Content-Type response header.

References:

https://lists.apache.org/thread.html/f4515e580dfb6eeca589a5cdebd4c4c709ce632b12924f343c3b7751@%3Cdev.httpd.apache.org%3E

External References:

https://httpd.apache.org/security/vulnerabilities_24.html
https://httpd.apache.org/security/vulnerabilities_22.html

Comment 1 Andrej Nemec 2017-06-20 11:38:26 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1463208]

Comment 20 errata-xmlrpc 2017-08-15 18:14:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:2478 https://access.redhat.com/errata/RHSA-2017:2478

Comment 21 errata-xmlrpc 2017-08-15 18:26:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2479 https://access.redhat.com/errata/RHSA-2017:2479

Comment 22 errata-xmlrpc 2017-08-16 23:07:23 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2017:2483 https://access.redhat.com/errata/RHSA-2017:2483

Comment 27 errata-xmlrpc 2017-11-13 17:37:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.2 Extended Update Support

Via RHSA-2017:3193 https://access.redhat.com/errata/RHSA-2017:3193

Comment 28 errata-xmlrpc 2017-11-13 17:39:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.7 Extended Update Support

Via RHSA-2017:3195 https://access.redhat.com/errata/RHSA-2017:3195

Comment 29 errata-xmlrpc 2017-11-13 17:41:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.3 Extended Update Support

Via RHSA-2017:3194 https://access.redhat.com/errata/RHSA-2017:3194

Comment 30 errata-xmlrpc 2017-12-15 22:24:04 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2017:3475 https://access.redhat.com/errata/RHSA-2017:3475

Comment 31 errata-xmlrpc 2017-12-15 22:35:41 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7

Via RHSA-2017:3476 https://access.redhat.com/errata/RHSA-2017:3476

Comment 32 errata-xmlrpc 2017-12-15 22:37:23 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6

Via RHSA-2017:3477 https://access.redhat.com/errata/RHSA-2017:3477


Note You need to log in before you can comment on or make changes to this bug.